
Foreman - Bug #5994

Power and Console links are disabled for non-admin users

05/30/2014 05:18 AM - Dylan Charleston

Status: Closed   

Priority: High   

Assignee:    

Category: Users, Roles and Permissions   

Target version: 1.5.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link: 1110361 Red Hat JIRA:  

Pull request:    

Description

I just upgraded from 1.4.0 to 1.5 and noticed that all non-admin users aren't able to power or connect to the console on VMWare

hosts' page.  I've verified the roles to make sure "power_compute_resources_vms" and "console_compute_resources_vms" are

allowed for these hosts, but the buttons continue to be disabled.  The users can access 

https://foremanserver/hosts/hostname.domain/console URL directly so it looks like they have permission.  This is causing a lot of

confusion for our users and it looks like it might just be a bug in the frontend.

Related issues:

Related to Foreman - Bug #6492: IPMI boot and power unaccessible to non-admin... Closed 07/04/2014

Has duplicate Foreman - Bug #6746: ovirt VM's power and console buttons are d... Duplicate 07/23/2014

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 5aac54d7 - 06/23/2014 09:37 AM - Dmitri Dolguikh 

fixes #5994: Power and Console buttons are available to non-admin users with appropriate permissions

Revision e1907152 - 07/28/2014 07:20 AM - Dmitri Dolguikh 

fixes #5994: Power and Console buttons are available to non-admin users with appropriate permissions

(cherry picked from commit 5aac54d7dbf15147c07d91d08b50f16496a291ae)

History

#1 - 05/30/2014 07:16 AM - Dominic Cleal

- Category set to Authentication

- Status changed from New to Feedback

There are a couple of permissions controlling consoles: check that your users also have "console_hosts" under a Host/Managed filter.  The

console_compute_resource_vms is used when browsing compute resources I think, while the former is used when browsing hosts.  Ditto for

"power_hosts".

#2 - 05/30/2014 04:23 PM - Dylan Charleston

Dominic Cleal wrote:

There are a couple of permissions controlling consoles: check that your users also have "console_hosts" under a Host/Managed filter.  The

console_compute_resource_vms is used when browsing compute resources I think, while the former is used when browsing hosts.  Ditto for

"power_hosts".

 Thanks Dominic, I already have "view_hosts, create_hosts, edit_hosts, destroy_hosts, build_hosts, power_hosts, console_hosts" configured in the

hosts/managed filter with the Unlimited checkbox checked.

#3 - 05/30/2014 04:25 PM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added
#4 - 05/30/2014 04:25 PM - Dominic Cleal

- Category changed from Authentication to Users, Roles and Permissions

- Status changed from Feedback to New

#5 - 06/11/2014 06:58 PM - Dominic Cleal

- translation missing: en.field_release set to 18

#6 - 06/13/2014 10:42 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#7 - 06/17/2014 01:45 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1110361

#8 - 06/19/2014 03:42 PM - Dominic Cleal

- Target version set to 1.8.1

#9 - 06/20/2014 11:41 AM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/foreman/pull/1528

#10 - 06/23/2014 10:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5aac54d7dbf15147c07d91d08b50f16496a291ae.

#11 - 07/07/2014 04:22 AM - Dominic Cleal

- Related to Bug #6492: IPMI boot and power unaccessible to non-admin users added

#12 - 07/23/2014 03:55 AM - Dominic Cleal

- Has duplicate Bug #6746: ovirt VM's power and console buttons are disabled for non-admin users even when the required permissions are granted

added

#13 - 08/29/2014 05:13 PM - Paul Calabro

I'm still experiencing this issue with foreman-1.6.0-0.1.RC1.el6.noarch. I'm also using the XenServer plugin.

My user is currently assigned the following roles:

 21njiwn.jpg 

Their permissions are currently set to the following (pretty much just no destroys):

 livdr9HfRNndaXLmjObO55_MP5cxpJ4bA9v5N5VT2aE 

Please let me know if you need any more info.

#14 - 09/04/2014 05:15 AM - Paul Calabro

You can disregard my previous comment. My issue was related to the unlimited checkbox not being checked. For some reason, even after checking

this box "Unlimited" would show nothing. Deleting and re-adding the filters resolved my issue.
